# Asterisk Project : Asterisk 12 Function_HANGUPCAUSE

Added by wikibot , edited by wikibot on Aug 29, 2013

# HANGUPCAUSE()

### Synopsis

Gets per-channel hangupcause information from the channel.

### Description

Gets technology-specific or translated Asterisk cause code information from the channel for the specified channel that resulted from a dial.

### Syntax

    HANGUPCAUSE(channel,type)

##### Arguments

- `channel` - The name of the channel for which to retreive cause information.
- `type` - Parameter describing which type of information is requested. Types are:
  - `tech` - Technology-specific cause information
  - `ast` - Translated Asterisk cause code

### See Also

- Asterisk 12 Function_HANGUPCAUSE_KEYS
- Asterisk 12 Application_HangupCauseClear

### Import Version

This documentation was imported from Asterisk Version Unknown